Subject: Re: [PATCH v2] Device tree bindings for Xilinx devices

From: Arnd Bergmann <[email-masked]>
Date: Mon, 15 Oct 2007 21:21:53 +0200

On Monday 15 October 2007, Grant Likely wrote:
> From: Grant Likely <[email-masked]>
> 
> Here's my second version of xilinx device tree bindings.  Please review
> and comment.  I'd like to push these out to Paulus in the next couple
> of days.

There are a few more properties that I can imagine you might need.
Not sure if it makes sense specifying them now, but here are my thoughts:
 
>     More devices will be defined as this spec matures.
>  
> +   l) Xilinx ML300 Framebuffer
> +
> +   Simple framebuffer device from the ML300 reference design (also on the
> +   ML403 reference design as well as others).
> +
> +   Required properties:
> +    - compatible : Must include "xilinx,ml300-fb"
> +    - reg : offset and length of the framebuffer register set
> +
> +   Optional properties:
> +    - resolution : <xres yres> pixel resolution of framebuffer.  Some
> +                   implementations use a different resolution.  Default
> +                   is <d#640 d#480>
> +    - virt-resolution : <xvirt yvirt> Size of framebuffer in memory.
> +                        Default is <d#1024 d#480>.
> +    - rotate-display (empty) : rotate display 180 degrees.

rotate-display could be defined as something that allows 0/90/180/270
degrees, as well as mirroring, not just 180 degree rotation.

> +   o) Xilinx Uartlite
> +
> +   Xilinx uartlite devices are simple fixed speed serial ports.  Uartlite
> +   ports should be described in a node with the following properties.
> +
> +   Requred properties:
> +    - compatible : Must include "xilinx,uartlite"
> +    - reg : offset and length of uartlite register set
> +
> +    Recommended properties:
> +    - interrupt-parent, interrupts : Connection of device irq signal.
> +

typically, serial ports include properties for current-speed and
clock-frequency. I guess it would be good to include at least one
of the two here.

	Arnd <><